<?php

final class ExtensionStoreExtensionStatus extends Phobject {

  const STATUS_ACTIVE = 'active';
  const STATUS_ARCHIVED = 'archived';

  public static function getStatusName($status) {
    $map = array(
      self::STATUS_ACTIVE => pht('Active'),
      self::STATUS_ARCHIVED => pht('Archived'),
    );
    return idx($map, $status, pht('Unknown'));
  }
}
